This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448205 - (pear-Net-IPv4) Review Request: php-pear-Net-IPv4 - IPv4 network calculations and validation
Review Request: php-pear-Net-IPv4 - IPv4 network calculations and validation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 08:17 EDT by Steven Moix
Modified: 2014-01-21 08:50 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 21:49:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Moix 2008-05-24 08:17:35 EDT
Spec URL: http://www.alphatek.info/divers/php-pear-Net-IPv4.spec
SRPM URL: http://www.alphatek.info/divers/php-pear-Net-IPv4-1.3.0-1.fc9.src.rpm
Description: PHP library used for calculating IPv4 (AF_INET family) address information such as network as network address, broadcast address, and IP address.

It's my first package (with https://bugzilla.redhat.com/show_bug.cgi?id=448204), I'm looking for a sponsor.
Comment 1 David Hollis 2008-06-18 15:16:31 EDT
I can't sponsor you, I'm currently in the same boat as you currently but I did
review the package.  rpmlint showed no issues except for the lack of
documentation.  I don't see any issues with the packaging.
Comment 2 Steven Moix 2008-06-18 15:42:20 EDT
There is no documentation in the upstream code, so this should be normal.
Comment 4 Remi Collet 2008-07-13 03:42:05 EDT
As agreed with Chris, i take this review and will do steven spondoring
Comment 5 Remi Collet 2008-07-13 11:12:12 EDT
REVIEW :
* rpmlint :
W: no-documentation
* The package is named according to the Package Naming Guidelines.
* source files match upstream:
35ee77683b4fd34d7a9aa77c199b2eda  Net_IPv4-1.3.0.tgz
* The spec file name match the base package
* The package must the PHP Packaging Guidelines
* License field in the package spec file match the actual license 
* license is open source-compatible (PHP)
* latest version is being packaged.
* The spec file is written in American English
* The spec file is legible
* build in mock (F-9, noarch)
* All build dependencies are listed in BuildRequires
* no locales
* no shared library files
* package own all directories that it creates
* Package don't own files or directories already owned by other packages
* no duplicate files
* Permissions on files are set properly
* %clean section
* package consistently use macros
* The package contain code
* no documentation
* no library
* no desktop file
* %install, start with rm -rf %{buildroot}
* All filenames are valid UTF-8
* scriptlets are sane
* Final Provides ok
php-pear(Net_IPv4) = 1.3.0
php-pear-Net-IPv4 = 1.3.0-2.fc9
* Final Requires ok
/usr/bin/pear  
php-pear(PEAR)  
* install ok
* work ok, with litle test case

<?php
require ("Net/IPv4.php");
$ip = Net_IPv4::parseAddress("192.168.0.4/24");
if ($ip) print_r($ip);
else echo "failed\n";
?>


Should just change Remy to Remi in the changelog ;)

APPROVED

Please wait for you sponsoring before doing the CVS request.
Comment 6 Steven Moix 2008-07-14 04:07:07 EDT
New Package CVS Request
=======================
Package Name: pear-Net-IPv4
Short Description: Class used for calculating IPv4 address information
Owners: moixs
Branches: F-9
InitialCC: moixs, remi
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-07-14 12:05:58 EDT
cvs done.
Comment 8 Steven Moix 2008-07-14 13:29:21 EDT
Sorry but I messed up, I used the alias instead of the real package name to
create the CVS access. Could you destroy pear-Net-IPv4 CVS and create the
following instead:

New Package CVS Request
=======================
Package Name: php-pear-Net-IPv4
Short Description: Class used for calculating IPv4 address information
Owners: moixs
Branches: F-9
InitialCC: moixs, remi
Cvsextras Commits: yes
Comment 9 Toshio Ernie Kuratomi 2008-07-14 16:06:18 EDT
cvs done
Comment 10 Fedora Update System 2008-07-21 12:15:48 EDT
php-pear-Net-IPv4-1.3.0-2.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-07-23 03:17:52 EDT
php-pear-Net-IPv4-1.3.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Net-IPv4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6636
Comment 12 Fedora Update System 2008-07-31 21:49:25 EDT
php-pear-Net-IPv4-1.3.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Remi Collet 2012-04-02 10:00:15 EDT
Taking ownership according to 
http://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Deprecated_Package

Package Change Request
======================
Package Name: php-pear-Net-IPv4
Owners: remi
Comment 14 Gwyn Ciesla 2012-04-02 10:09:36 EDT
Unretired, take ownership.
Comment 15 Remi Collet 2014-01-18 08:15:57 EST
Package Change Request
======================
Package Name: php-pear-Net-IPv4
New Branches: el6 epel7
Owners: remi
Comment 16 Gwyn Ciesla 2014-01-21 08:50:43 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.